Topaz Image Generative
Topaz Image Generative — prompt-guided generative image upscaling.
Back to docs
Imagetopaz-labs/image-generative$0.00 / 1M in
Base URL
https://api.zekron.tech/api/v1Supported modes
upscale
Parameters
Pass these inside the input object when creating a task.
| Field | Required |
|---|---|
| image_url | required |
| prompt | optional |
| creativity | optional |
| scale | optional |
image_urlrequired
promptoptional
creativityoptional
scaleoptional
Example request
bash
curl -X POST https://api.zekron.tech/api/v1/tasks \
-H "Authorization: Bearer zk_live_xxx" \
-H "Content-Type: application/json" \
-d '{
"model": "topaz-labs/image-generative",
"input": {
"image_url": "https://your-app.com/input.png"
}
}'Example response
json
{
"id": "zk_task_8f3a2b1c9d",
"model": "topaz-labs/image-generative",
"status": "processing",
"created_at": "2026-06-10T12:00:00Z"
}Poll GET https://api.zekron.tech/api/v1/tasks/{id} until status is success or failed.
Pricing
This model is billed at $0.00 / 1M in. You are only charged for successful generations — failed tasks are never billed. Generated outputs are retained for 30 days before they expire.